> ## Documentation Index
> Fetch the complete documentation index at: https://pleo-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves a Vendor in Pleo by its id

> Retrieves a Vendor in Pleo by its id.



## OpenAPI

````yaml get /v1/vendors/{id}
openapi: 3.0.1
info:
  title: Ananke API
  description: Ananke OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: apiteam@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 34.3.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
tags:
  - name: health
  - name: admin
  - name: Aggregated Company Vendor Resource
  - name: Company Recurring Vendor Resource
  - name: Company Vendor Resource
  - name: Enablement Resource
  - name: Expense Vendor Resource
  - name: Generic Vendors Resource
  - name: Prompts Resource
  - name: Recurring Vendor Resource
  - name: Sandbox Resource
  - name: Supplier Resource
  - name: Vendor Clean Resource
  - name: Vendor Resource
  - name: Vendors Resource
  - name: Vendor API
    description: |-
      The Vendor API enables you to perform the following:
      - Create a new vendor record.
      - Retrieve a vendor record by ID.
      - Modify the vendor details.
      - Archive a vendor record by ID.
      - Activate a vendor record by ID.
      - Fetch vendors' details by search criteria.
  - name: Recurring Merchant Info Resource
paths:
  /v1/vendors/{id}:
    get:
      tags:
        - external-vendors
      summary: Retrieves a Vendor in Pleo by its id
      description: Retrieves a Vendor in Pleo by its id.
      operationId: getVendorById
      parameters:
        - name: id
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: >-
              Enter the specific vendor ID of the record that you want to view
              in detail.
            format: uuid
            example: 123e4567-e89b-12d3-a456-426614174000
      responses:
        '200':
          description: Fetches vendor by id
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseVendorResponse'
        '404':
          description: Vendor not found
          content:
            application/json;charset=UTF-8:
              example: Vendor not found
components:
  schemas:
    DataResponseVendorResponse:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/VendorResponse'
    VendorResponse:
      required:
        - companyId
        - defaultCurrency
        - id
        - name
        - state
      type: object
      properties:
        code:
          type: string
          description: >-
            Unique identifier assigned to the vendor in the target
            ERP/accounting system for aiding users in identifying the correct
            record.
        companyId:
          type: string
          description: >-
            Pleo's internal identifier for the company the Vendor is associated
            with.
          format: uuid
          example: c082afd8-c1d2-46ee-8f56-1512638f0e67
        country:
          type: string
          description: This can be one of CountryCode values
          example: UNDEFINED
        createdAt:
          type: string
          description: The date and time when the vendor was created in Pleo.
          format: date-time
        defaultCurrency:
          maxLength: 3
          minLength: 3
          type: string
          description: >-
            Default currency in which the vendor's financial operations,such as
            purchases, payments, or invoices, are primarily conducted. (ISO 4217
            currency code (3 letters))
          example: DKK
        externalId:
          type: string
          description: >-
            Unique external identifier of the vendor, assigned by the target
            ERP/accounting system, used by the client for identification. Can be
            the same as code if no other identifier is available.
        id:
          type: string
          description: Pleo's internal identifier of the vendor.
          format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
        name:
          type: string
          description: >-
            The name field represents the official name of the Vendor as it is
            recorded in the target ERP/accounting system. This name is used to
            uniquely identify the vendor within the accounting workflow and is
            visible to the Pleo bookkeeper.
          example: Pleo
        registrationNumber:
          type: string
          description: Unique identification of a registered vendor in a country.
        state:
          type: string
          description: This can be one of VendorState values
          example: DRAFT
        taxRegistrationNumber:
          type: string
          description: VAT/GST/TaxId number of the Vendor.
        updatedAt:
          type: string
          description: >-
            The date and time when the vendor details were updated (initially
            same as createdAt).
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.